.modal__area {
    display: none;
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    z-index: 10;
    width: 100%;
    height: 100%;
    overflow-x: hidden;
    overflow-y: auto;
    background-color: rgba(65, 20, 20, 0.2);
}
// .modal__layer {
//     position: fixed;
//     top: 0;
//     right: 0;
//     left: 0;
//     bottom: 0;
//     background-color: rgba(65, 20, 20, 0.2);
//     backface-visibility: hidden;
// }
.modal__area .modal__block {
    background-color: #fff;
    margin: 0 auto;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 0;
    left: 0;
    padding: 35px 130px 40px 130px;
    max-width: 1115px;
    overflow: auto;
    .input-text{
        margin-bottom: 15px;
    }
    .textarea{
        height: 120px;
    }
    .close__btn{
        position: absolute;
        top: 50px;
        right: 50px;
    }
    &.modal__success{
        padding: 160px 130px;
        text-align: center;
        .modal__title{
            margin-bottom: 80px;
            font-size: 36px;
        }
        p{
            font-size: 14px;
            line-height: 1.5;
        }
    }
    &.modal__feedback{
        padding: 135px 130px 40px 130px;
    }
    &.modal__cart{
        top: 50%;
        transform: translateY(-50%);
        .btn{
            display: inline-block;
            width: calc(50% - 15px);
            &.btn__border__black{
                margin-left: 10px;
            }
        }
    }
    &.modal__size{
        padding: 35px 60px;
        top: 20px;
        transform: translateY(0);
        margin-bottom: 20px;
        .size__content {
            padding: 0 15px;
            color: #757575;
            font-size: 13px;
            font-family: 'Roboto';
        }
        .size__table {
            -webkit-user-select: none;
            -moz-user-select: none;
            -ms-user-select: none;
            user-select: none;
            font-family: 'Roboto';
            table-layout: fixed;
            min-width: 100%;
            width: 100%;
            margin-bottom: 15px;
            tr{
                border-bottom: 1px solid #f3f3f3;
                transition: 300ms;
                &:hover{
                    background-color: #e3e3e3;
                }
            }
            th {
                text-align: center;
                font-size: 14px;
                color: #191919;
                font-weight: 400;
                padding: 8px 5px 17px;
            }
            td {
                text-align: center;
                font-size: 12px;
                padding: 18px 5px 17px;
                color: #3b3b3b;
            }
        }
        .remodal-title {
            font-size: 20px;
            text-align: left;
            color: #000000;
            font-family: 'Roboto';
            margin-bottom: 28px;
        }
        .size__image {
            margin: 30px auto;
            filter: hue-rotate(220deg);
            img{
                max-width: 100%;
            }
        }
        .size-subtitle{
            font-size: 1.17em;
            text-transform: uppercase;
            margin-bottom: 5px;
            font-weight: bold;
        }
    }
    .social__link{
        &:hover{
            text-decoration: underline;;
        }
    }
}
.modal__left{
    padding-right: 30px;
    font-size: 14px;
    .social__list{
        margin-top: 115px;
    }
}
.modal__right{
    padding-left: 30px;
}
.modal__title{
    font-family: $playFont;
    font-size: 36px;
    margin: 35px 0 60px 0;
}
.btn__circle{
    border: 1px solid #6b6b6b;
    background: none;
    width: 150px;
    height: 150px;
    text-align: center;
    border-radius: 100%;
    font-size: 13px;
    position: relative;
    top: -50px;
    left: -70px;
    transition: 300ms;
    &:hover{
        transform: scale(1.1);
    }
}
#modal--size{
    .modal__block{
        top: 50%;
        transform: translateY(-50%);
    }
}
